Package org.eclipse.birt.report.engine.api.script.instance

# Interface IActionInstance

public interface IActionInstance

## Method Summary

Modifier and Type
Method
Description
`IDrillThroughInstance`
`createDrillThrough()`
create a empty drillThrough instance.
`IDrillThroughInstance`
`createDrillThrough(String bookmark, boolean isBookmark, String reportName, Map parameterBindings, Map searchCriteria, String target, String format)`
Deprecated.
Create a drillThrough instance.
`IDrillThroughInstance`
`createDrillThrough(String bookmark, boolean isBookmark, String reportName, Map parameterBindings, Map searchCriteria, String target, String format, String targetFileType)`
Create a drillThrough instance.
`String`
`getBookmark()`
`IDrillThroughInstance`
`getDrillThrough()`
`String`
`getHyperlink()`
`String`
`getTargetWindow()`
`String`
`getTooltip()`
`int`
`getType()`
`void`
`setBookmark(String bookmark)`
Set bookmark.
`void`
`setDrillThrough(IDrillThroughInstance drillThroughInstance)`
Set IDrillThroughInstance.
`void`
`setHyperlink(String hyperlink, String target)`
Set hyperlink string and target.
`void`
`setTooltip(String tooltip)`

## Method Details

### getType

int getType()

Returns:
  the type of the hyperlink. Can be one of the following: org.eclipse.birt.report.engine.content.IHyperlinkAction.ACTION_HYPERLINK org.eclipse.birt.report.engine.content.IHyperlinkAction.ACTION_BOOKMARK org.eclipse.birt.report.engine.content.IHyperlinkAction.ACTION_DRILLTHROUGH ACTION NULL: -1

### getBookmark

String getBookmark()

Returns:
  the bookmark string when action type is bookmark. Otherwise, throw RuntimeException.

### setBookmark

void setBookmark(String bookmark)
Set bookmark. And set the type be org.eclipse.birt.report.engine.content.IHyperlinkAction.ACTION_BOOKMARK Throw IllegalArgumentException if the bookmark be set to null.

Parameters:
  `bookmark` -

### getHyperlink

String getHyperlink()

Returns:
  the action string when action type is hyperlink. Otherwise, throw RuntimeException.

### setHyperlink

void setHyperlink(String hyperlink, String target)
Set hyperlink string and target. And set the type be org.eclipse.birt.report.engine.content.IHyperlinkAction.ACTION_HYPERLINK Throw IllegalArgumentException if the hyperlink be set to null.

Parameters:
  `hyperlink` -
  `target` -

### getTargetWindow

String getTargetWindow()

Returns:
  The name of a frame where a target hyperlink or drillThrough to be opened.

### createDrillThrough

@Deprecated IDrillThroughInstance createDrillThrough(String bookmark, boolean isBookmark, String reportName, Map parameterBindings, Map searchCriteria, String target, String format)
Deprecated.
Create a drillThrough instance. And set the parameters of the drillthrough:

Parameters:
  `bookmark` -
  `isBookmark` -
  `reportName` -
  `parameterBindings` -
  `searchCriteria` -
  `target` -
  `format` -

### createDrillThrough

IDrillThroughInstance createDrillThrough(String bookmark, boolean isBookmark, String reportName, Map parameterBindings, Map searchCriteria, String target, String format, String targetFileType)
Create a drillThrough instance. And set the parameters of the drillthrough:

Parameters:
  `bookmark` -
  `isBookmark` -
  `reportName` -
  `parameterBindings` -
  `searchCriteria` -
  `target` -
  `format` -
  `targetFileType` -

### createDrillThrough

IDrillThroughInstance createDrillThrough()
create a empty drillThrough instance.

Returns:

### getDrillThrough

IDrillThroughInstance getDrillThrough()

Returns:
  the drillThrouthInstance when action type is drillThrough. Otherwise, throw RuntimeException.

### setDrillThrough

void setDrillThrough(IDrillThroughInstance drillThroughInstance)
Set IDrillThroughInstance. And set the type be org.eclipse.birt.report.engine.content.IHyperlinkAction.ACTION_DRILLTHROUGH Throw IllegalArgumentException if the drillThroughInstance be set to null.

Parameters:
  `drillThroughInstance` -

### setTooltip

void setTooltip(String tooltip)

### getTooltip

String getTooltip()